JobShopProbe Class Reference

Model for probing. More...

## Public Member Functions

| JobShopProbe (const JobShopOptions &o)
| Actual model.
void | branch (unsigned int p, Rnd r)
| JobShopProbe (JobShopProbe &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Copy during cloning.
Public Member Functions inherited from JobShopBase
| JobShopBase (const JobShopOptions &o)
| Actual model.
void | nooverload (void)
| Do not overload machines.
virtual IntVar | cost (void) const
| Return cost.
| JobShopBase (JobShopBase &s)
| Constructor for cloning s.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)
Protected Attributes inherited from JobShopBase
const JobShopOptions & | opt
| Options.
const Spec | spec
| Specification.
IntVarArray | start
| Start times for each step in a job.
IntVar | makespan
| Makespan.

## Detailed Description

Model for probing.

Definition at line 363 of file job-shop.cpp.

## Constructor & Destructor Documentation

## JobShopProbe() [1/2]

JobShopProbe::JobShopProbe | ( | const JobShopOptions & | o | ) |

inline

Actual model.

Definition at line 366 of file job-shop.cpp.

## JobShopProbe() [2/2]

JobShopProbe::JobShopProbe | ( | JobShopProbe & | s | ) |

inline

Constructor for cloning s.

Definition at line 399 of file job-shop.cpp.

## Member Function Documentation

## branch()

void JobShopProbe::branch | ( | unsigned int | p,
|  | Rnd | r )

inline

Definition at line 370 of file job-shop.cpp.

## copy()

virtual Space * JobShopProbe::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 403 of file job-shop.cpp.

The documentation for this class was generated from the following file:

- examples/job-shop.cpp